Skip to main content
GET
/
api
/
v2
/
customers
/
{id}
Show customer
curl --request GET \
  --url https://rcur.app/api/v2/customers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "abc123def456",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "created_at": "2025-01-15 10:30:00",
  "number": "CUST-001",
  "phone": "+31612345678",
  "organization_name": "Acme B.V.",
  "address": "Keizersgracht 1",
  "postal_code": "1015AA",
  "city": "Amsterdam",
  "country": "NL",
  "vat_number": "NL123456789B01",
  "locale": "nl",
  "mollie_customer_id": "cst_abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Customer details

id
string
required
Example:

"abc123def456"

first_name
string
required
Example:

"John"

last_name
string
required
Example:

"Doe"

email
string
required
Example:

"john@example.com"

created_at
string
required
Example:

"2025-01-15 10:30:00"

number
string | null
Example:

"CUST-001"

phone
string | null
Example:

"+31612345678"

organization_name
string | null
Example:

"Acme B.V."

address
string | null
Example:

"Keizersgracht 1"

postal_code
string | null
Example:

"1015AA"

city
string | null
Example:

"Amsterdam"

country
string | null
Example:

"NL"

vat_number
string | null
Example:

"NL123456789B01"

locale
enum<string> | null
Available options:
nl,
en,
fr,
de,
es
Example:

"nl"

mollie_customer_id
string | null
Example:

"cst_abc123"